# TokenDetailsComponent | CICADA
Documentation for CICADA

### Hierarchy

- TokenDetailsComponent

### Implements

- OnInit

## Index

### Constructors

- constructor

### Properties

- closeWindow
- token

### Methods

- close
- ngOnInit

## Constructors

### constructor

- new TokenDetailsComponent(): TokenDetailsComponent

- - Defined in src/app/pages/tokens/token-details/token-details.component.ts:20

  #### Returns TokenDetailsComponent

## Properties

### closeWindow

closeWindow: EventEmitter<any> = ...

- Defined in src/app/pages/tokens/token-details/token-details.component.ts:20

### token

token: Token

- Defined in src/app/pages/tokens/token-details/token-details.component.ts:18

## Methods

### close

- close(): void

- - Defined in src/app/pages/tokens/token-details/token-details.component.ts:26

  #### Returns void

### ngOnInit

- ngOnInit(): void

- Implementation of OnInit.ngOnInit

  - Defined in src/app/pages/tokens/token-details/token-details.component.ts:24

  #### Returns void

Generated using TypeDoc